﻿using System.ComponentModel;
using System.Windows;

using DevExpress.Xpf.Grid;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            this.gridControl.ItemsSource = new AccountList().GetData();

            SortGroupBySummaryValue
            (
                this.tableView.GroupedColumns[0],
                this.gridControl.GroupSummary[0],
                ListSortDirection.Descending
            );
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Summary 값으로 Group 정렬하기 - SortGroupBySummaryValue(groupedGridColumn, gridSummaryItem, listSortDirection)

        /// <summary>
        /// Summary 값으로 Group 정렬하기
        /// </summary>
        /// <param name="groupedGridColumn">그룹핑된 GridColumn 객체</param>
        /// <param name="gridSummaryItem">GridSummaryItem 객체</param>
        /// <param name="listSortDirection">리스트 정렬 방향</param>
        private void SortGroupBySummaryValue(GridColumn groupedGridColumn, GridSummaryItem gridSummaryItem, ListSortDirection listSortDirection)
        {
            GridGroupSummarySortInfo gridGroupSummarySortInfo = new GridGroupSummarySortInfo
            (
                gridSummaryItem,
                groupedGridColumn.FieldName,
                listSortDirection
            );

            this.gridControl.GroupSummarySortInfo.Add(gridGroupSummarySortInfo);
        }

        #endregion
    }
}